TestClasses (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junitlauncher.confined, class: TestClasses

# Class TestClasses

java.lang.Object
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestDefinition
org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.TestClasses

public class TestClasses extends TestDefinition
Represents a `testclasses` that's configured to be launched by the `JUnitLauncherTask`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class TestDefinition

  `TestDefinition.ForkedRepresentation`
  Modifier and Type
  Class
  Description
  `static class`
  `TestDefinition.ForkedRepresentation`

- ## Field Summary

  ### Fields inherited from class TestDefinition

  `excludeEngines, failureProperty, forkDefinition, haltOnFailure, ifProperty, includeEngines, listeners, outputDir, unlessProperty`
  Modifier and Type
  Field
  Description
  `protected String`
  `excludeEngines`
  `protected String`
  `failureProperty`
  `protected ForkDefinition`
  `forkDefinition`
  `protected Boolean`
  `haltOnFailure`
  `protected String`
  `ifProperty`
  `protected String`
  `includeEngines`
  `protected List<ListenerDefinition>`
  `listeners`
  `protected File`
  `outputDir`
  `protected String`
  `unlessProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestClasses()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(ResourceCollection resourceCollection)`
  `static List<TestDefinition>`
  `fromForkedRepresentation(XMLStreamReader reader)`
  `List<String>`
  `getTestClassNames()`
  `protected List<TestDefinition.ForkedRepresentation>`
  `toForkedRepresentations()`

  ### Methods inherited from class TestDefinition

  `addConfiguredListener, createFork, getExcludeEngines, getFailureProperty, getIncludeEngines, getListeners, getOutputDir, isHaltOnFailure, setExcludeEngines, setFailureProperty, setHaltOnFailure, setIf, setIncludeEngines, setOutputDir, setUnless, shouldRun`
  Modifier and Type
  Method
  Description
  `void`
  `addConfiguredListener(ListenerDefinition listener)`
  `ForkDefinition`
  `createFork()`
  `String[]`
  `getExcludeEngines()`
  `String`
  `getFailureProperty()`
  `String[]`
  `getIncludeEngines()`
  `List<ListenerDefinition>`
  `getListeners()`
  `File`
  `getOutputDir()`
  `boolean`
  `isHaltOnFailure()`
  `void`
  `setExcludeEngines(String excludeEngines)`
  `void`
  `setFailureProperty(String failureProperty)`
  `void`
  `setHaltOnFailure(boolean haltonfailure)`
  `void`
  `setIf(String ifProperty)`
  `void`
  `setIncludeEngines(String includeEngines)`
  `void`
  `setOutputDir(File dir)`
  `void`
  `setUnless(String unlessProperty)`
  `protected boolean`
  `shouldRun(Project project)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TestClasses

    public TestClasses()

- ## Method Details

  - ### add

    public void add(ResourceCollection resourceCollection)

  - ### getTestClassNames

    public List<String> getTestClassNames()

  - ### toForkedRepresentations

    protected List<TestDefinition.ForkedRepresentation> toForkedRepresentations() throws IllegalStateException
    Specified by:
      `toForkedRepresentations` in class `TestDefinition`
    Throws:
      `IllegalStateException`

  - ### fromForkedRepresentation

    public static List<TestDefinition> fromForkedRepresentation(XMLStreamReader reader) throws XMLStreamException
    Throws:
      `XMLStreamException`